summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Nate Bargmann2017-03-07 17:40:52 +0100
committer Willy Sudiarto Raharjo2017-03-11 01:03:48 +0100
commit1d0d32388ac4bea048e307c5a52422d10bc10534 (patch)
treedbec6f2c41c795326c1b8edaa3ba2e4a9bdd8e78 /ham
parentb611960263dc0157555a5eb50c7986e86db98a8a (diff)
downloadslackbuilds-1d0d32388ac4bea048e307c5a52422d10bc10534.tar.gz
ham/qrq: Updated for version 0.3.1 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/qrq/README7
-rw-r--r--ham/qrq/qrq.SlackBuild32
-rw-r--r--ham/qrq/qrq.info10
3 files changed, 29 insertions, 20 deletions
diff --git a/ham/qrq/README b/ham/qrq/README
index 9a8967336a..2c27f94ad5 100644
--- a/ham/qrq/README
+++ b/ham/qrq/README
@@ -1,5 +1,10 @@
qrq - yet another CW trainer (Linux, Unix, OS X, Windows)
-
+
qrq is an open source Morse telegraphy trainer which runs on several
operating systems (Linux, Unix, OS X and Windows), similar to the
classic DOS version of Rufz by DL4MM.
+
+The script now builds with PulseAudio support. If OSS support is
+desired, the option 'USE_PA=NO' will need to be appended to the
+make command (see comment in qrq.SlackBuild) before the package is
+built.
diff --git a/ham/qrq/qrq.SlackBuild b/ham/qrq/qrq.SlackBuild
index 4f1ef7b354..444f3f3028 100644
--- a/ham/qrq/qrq.SlackBuild
+++ b/ham/qrq/qrq.SlackBuild
@@ -3,6 +3,7 @@
# SlackBuild script for qrq.
#
# Copyright 2010 Howard Pepper <h_pepper {at} bellsouth [dot] net>
+# Copyright 2017 Nate Bargmann <n0nb@arrl.net>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=qrq
-VERSION=0.3.0
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.3.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -64,10 +65,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mkdir -p $PKG/usr/bin
@@ -75,13 +76,16 @@ mkdir -p $PKG/usr/man/man1
sed -i Makefile \
-e "s|^CFLAGS\:=\$(CFLAGS)|CFLAGS:=$SLKCFLAGS|" \
- -e "s|/share/man|/man|g"
+ -e "s|/share/man|/man|g" \
+ -e "s|\(^\s\+LDFLAGS:=\$(LDFLAGS)\) \(-lpulse-simple\)|\1 -lpthread \2|"
-make USE_PA=NO USE_CA=NO OSX_PLATFORM=NO OSX_BUNDLE=NO
-make install DESTDIR=$PKG/usr USE_PA=NO USE_CA=NO OSX_PLATFORM=NO OSX_BUNDLE=NO
+# Makefile defaults: USE_PA=YES USE_CA=NO OSX_PLATFORM=NO OSX_BUNDLE=NO
+# For OSS support: make USE_PA=NO
+make
+make install DESTDIR=$PKG/usr
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/ham/qrq/qrq.info b/ham/qrq/qrq.info
index e46c367406..78abf26155 100644
--- a/ham/qrq/qrq.info
+++ b/ham/qrq/qrq.info
@@ -1,10 +1,10 @@
PRGNAM="qrq"
-VERSION="0.3.0"
+VERSION="0.3.1"
HOMEPAGE="http://fkurz.net/ham/qrq.html"
-DOWNLOAD="http://fkurz.net/ham/qrq/qrq-0.3.0.tar.gz"
-MD5SUM="893fc18b4bc0eb455d6cc6a8a48bed00"
+DOWNLOAD="http://fkurz.net/ham/qrq/qrq-0.3.1.tar.gz"
+MD5SUM="8ab3354d3c91c991db2654f8a6c766eb"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Howard Pepper"
-EMAIL="h_pepper <at> bellsouth {dot} net"
+MAINTAINER="Nate Bargmann"
+EMAIL="n0nb@arrl.net"